MAXScript Language Reference > 3ds Max Objects > Node : MAXWrapper > Node Subclasses > GeometryClass : Node > Geometry - Extended Objects >

# OilTank : GeometryClass

    OilTank - superclass: GeometryClass; super-superclass:node - classID: #(554591274, 586227448)

Value > MAXWrapper > Node > GeometryClass > OilTank

| Geometry Objects - Quick Navigation

Constructor:

    oilTank...

Properties:

    <OilTank>.radius Float default: 0.0 -- animatable

The radius of the oiltank.

    <OilTank>.height Float default: 0.0 -- animatable

The height along the central axis.

Negative values create the oiltank below the construction plane.

    <OilTank>.Cap_Height Float default: 0.0 -- animatable

Sets the height of the convex caps.

The minimum value is 2.5% of the Radius setting.

The maximum value is the Radius setting, unless the absolute value of the Height setting is less than the double Radius setting, in which case cap height cannot exceed half of the absolute value of the Height setting.

    <OilTank>.blend Float default: 0.0 -- animatable

When greater than 0, creates a bevel at the edge of the caps.

    <OilTank>.sides Integer default: 12 -- animatable

Sets the number of sides around the oiltank.

To create a smoothly rounded object, use a higher number of sides and turn Smooth on.

To create an oiltank with flat sides, use a lower number of sides and turn Smooth off.

    <OilTank>.Height_Segments Integer default: 1 -- animatable

Sets the number of divisions along the oiltank's major axis.

    <OilTank>.Smooth_On Integer default: 1 -- animatable

Turn on/off smooth:

0- off

1- on

    <OilTank>.Slice_On Integer default: 0 -- animatable

Turn on/off slice:

0- off

1- on

    <OilTank>.Slice_From Float default: 0.0 -- animatable, angle

Sets the starting angle (on the local Z-axis) for slicing.

    <OilTank>.Slice_To Float default: 0.0 -- animatable, angle

Sets the angle (on the local Z-axis) to slice to.

    <OilTank>.mapCoords Integer default: 1

1- enable mapping coordinates,

0 - disable mapping coordinates.

Interfaces:

    Interface:realWorldMapSizeInterface

Properties:

    .realWorldMapSize: boolean : Read|Write

Enables/disables the real-world map size option.

Available in 3ds Max 8 and higher.

#### See Also

- GeometryClass Common Properties, Operators, and Methods

- Node Common Properties, Operators, and Methods

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods